{
	"name": "form/nc/nc-define/nc-layout-editor/nc-layout-content/nc-layout-content-js.json",
	"name": "form/nc/nc-define/nc-layout-editor/nc-layout-content/nc-layout-content.json",
	"layout": {
		"component": "component",
		"text": "{{ ncNode.text }}",
		"attribute": {
			":is": "ncNode.component",
			":id": "ncNode.id",
			":key": "ncNode.id + '-comp'",
			":ncNode.sync": "ncNode",
			"v-bind": "ncNode.attribute",
			"v-on:click.stop": "onClick",
			"v-on:mouseleave.stop": "onHover($event, false)",
			"v-on:mouseover.stop": "onHover($event, true)"
		},
		"element": [
			{
				"component": "transition-group",
				"attribute": {
					":css": "false",
					":key": "ncNode.id + '-trans'",
					"v-if": "ncNode.element",
					"v-on:before-enter": "onBeforeEnter",
					"v-on:enter": "onEnter",
					"v-on:leave": "onLeave"
				},
				"element": [
					{
						"component": "nc-layout-content",
						"attribute": {
							"v-for": "item in ncNode.element",
							":key": "item.id + '-child'",
							":ncNode.sync": "item",
							":ncParent": "ncNode"
						}
					}
				]
			}
		]
	}
}
